Bug 1011859 - Should prompt username and password after creating Jenkins app with an existing app directory
Should prompt username and password after creating Jenkins app with an existi...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Miciah Dashiel Butler Masters
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 05:12 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-09-25 05:12:07 EDT
Description of problem:
The output doesn't contain username and password when creating Jenkins app with an existing directory the app will clone into

Version-Release number of selected component (if applicable):
puddle: [1.2.3-RHN-Stage]
rhc --version
rhc 1.9.7

How reproducible:
always

Steps to Reproduce:
1.create an directory not empty
#mkdir jenkins
#touch jenkins/test
2.create an Jenkins app with the same name as directory
#rhc app create jenkins jenkins


Actual results:
The output doesn't contain username and password.

Using jenkins-1.4 (Jenkins Server 1.4) for 'jenkins'

Application Options
-------------------
  Namespace:  xiao
  Cartridges: jenkins-1.4
  Gear Size:  default
  Scaling:    no

Creating application 'jenkins' ... done

Waiting for your DNS name to be available ... done

Downloading the application Git repository ...
fatal: destination path 'jenkins' already exists and is not an empty directory.

The directory you are cloning into already exists.

jenkins @ http://jenkins-xiao.osetestv2.com/ (uuid: 52428b356e0f5db734000088)
-----------------------------------------------------------------------------
  Created: 3:05 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://52428b356e0f5db734000088@jenkins-xiao.osetestv2.com/~/git/jenkins.git/
  SSH:     52428b356e0f5db734000088@jenkins-xiao.osetestv2.com

  jenkins-1.4 (Jenkins Server 1.4)
  --------------------------------
    Gears: 1 small

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://jenkins-xiao.osetestv2.com/

  Issues:
    1. We were unable to clone your application's git repo - The directory you are
cloning into already exists.

  Steps to complete your configuration:
    1. Clone your git repo
      $ rhc git-clone jenkins

  If you can't get your application 'jenkins' running in the browser,
  you can try destroying and recreating the application:

    $ rhc app delete jenkins --confirm

  If this doesn't work for you, let us know in the forums or in IRC and we'll
  make sure to get you up and running.

    Forums - https://www.openshift.com/forums/openshift
    IRC - #openshift (on Freenode)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



Expected results:
Username and password shoud be prompted.

Additional info:
Comment 2 Ma xiaoqiang 2013-09-25 05:54:31 EDT
this problem does not happen on rhc-1.12.4
Comment 4 Ma xiaoqiang 2013-11-24 20:28:20 EST
check on puddle-2-0-2013-11-22
#rhc app create jenkins jenkins
#rhc app delete jenkins --confirm
#rhc app create jenkins jenkins
Output:
Using jenkins-1 (Jenkins Server) for 'jenkins'

Application Options
-------------------
  Domain:     xiaom
  Cartridges: jenkins-1
  Gear Size:  default
  Scaling:    no

Creating application 'jenkins' ... done

  Jenkins created successfully.  Please make note of these credentials:

   User: admin
   Password: Z8mshE7nJ_lW

Note:  You can change your password at: https://jenkins-xiaom.ose-1115.com.cn/me/configure

Waiting for your DNS name to be available ... done

fatal: destination path 'jenkins' already exists and is not an empty directory.
The directory you are cloning into already exists.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
WARNING:  Your application was created successfully but had problems during
          configuration. Below is a list of the issues and steps you can
          take to complete the configuration of your application.

  Application URL: http://jenkins-xiaom.ose-1115.com.cn
<--snip-->

Note You need to log in before you can comment on or make changes to this bug.